This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1312028 - php-5.3.3-46.el6_7.1.x86_64 crashes existing setup
php-5.3.3-46.el6_7.1.x86_64 crashes existing setup
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
6.7
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks: 1269194
  Show dependency treegraph
 
Reported: 2016-02-25 09:54 EST by Patrick
Modified: 2016-07-28 07:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-28 07:09:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (9.69 MB, application/x-xz)
2016-02-25 09:58 EST, Patrick
no flags Details
strace (28.29 KB, text/plain)
2016-02-26 09:17 EST, Patrick
no flags Details

  None (edit)
Description Patrick 2016-02-25 09:54:58 EST
Description of problem:

Customer reports that his setup started to crash after updating to php-5.3.3-46.el6_7.1.x86_64.

the sosreport shows that also httpd was updated the same time.

php-5.3.3-46.el6_7.1.x86_64                                 Fri Feb 19 20:54:55 2016
httpd-2.2.15-47.el6_7.3.x86_64                              Fri Feb 19 20:54:49 2016



Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:

(gdb) bt
#0  0x00007fefe6d14c2a in gc_zobj_possible_root () from /etc/httpd/modules/libphp5.so
#1  0x00007fefe6d0399b in zend_hash_destroy () from /etc/httpd/modules/libphp5.so
#2  0x00007fefe6cf680f in _zval_dtor_func () from /etc/httpd/modules/libphp5.so
#3  0x00007fefe6ceae3a in _zval_ptr_dtor () from /etc/httpd/modules/libphp5.so
#4  0x00007fefe6d0399b in zend_hash_destroy () from /etc/httpd/modules/libphp5.so
#5  0x00007fefe6cf680f in _zval_dtor_func () from /etc/httpd/modules/libphp5.so
#6  0x00007fefe6ceae3a in _zval_ptr_dtor () from /etc/httpd/modules/libphp5.so
#7  0x00007fefe6d0399b in zend_hash_destroy () from /etc/httpd/modules/libphp5.so
#8  0x00007fefe6cef348 in destroy_zend_class () from /etc/httpd/modules/libphp5.so
#9  0x00007fefe6d0399b in zend_hash_destroy () from /etc/httpd/modules/libphp5.so
#10 0x00007fefe6cf7d54 in ?? () from /etc/httpd/modules/libphp5.so
#11 0x00007fefe6ca4d9a in php_module_shutdown () from /etc/httpd/modules/libphp5.so
#12 0x00007fefe6ca4e49 in php_module_shutdown_wrapper () from /etc/httpd/modules/libphp5.so
#13 0x00007fefe6d7efa1 in ?? () from /etc/httpd/modules/libphp5.so
#14 0x00007fefeb0ee92e in apr_pool_destroy () from /usr/lib64/libapr-1.so.0
#15 0x00007fefec62a81e in ?? ()
#16 0x00007fefec62af0b in ?? ()
#17 <signal handler called>
#18 0x00007fefeac00500 in __read_nocancel () from /lib64/libc.so.6
#19 0x00007fefded8e259 in ?? ()
#20 0x00007fff98448570 in ?? ()
#21 0x0000000000000004 in ?? ()
#22 0x00007fefeda1c5d0 in ?? ()
#23 0x00007fefed189880 in ?? ()
#24 0x0000000000000000 in ?? ()



Expected results:


Additional info:

attaching:
-core file
-sosreport
Comment 1 Patrick 2016-02-25 09:58 EST
Created attachment 1130578 [details]
sosreport
Comment 3 Patrick 2016-02-26 09:17 EST
Created attachment 1130835 [details]
strace

Hello,


I requested the customer to fully rollback the last yum update, and confirm if the issue came with the updates. (in progress)

While setting up a test environment, with the same  packages, the issue hasn't showed up.

Attaching the strace from the crashing apache.


Cheers,
Patrick.
Comment 4 Joe Orton 2016-02-26 13:47:50 EST
Thanks, please confirm the version used for the rollback as well.
Comment 5 Patrick 2016-04-20 02:10:26 EDT
Hello,

Customer never confirmed the version, and now abandoned the case.

Note You need to log in before you can comment on or make changes to this bug.